# $Revision: 1.25 $, $Date: 2011/09/18 21:57:47 $
Summary:	A simple cross platform web browser
Name:		arora
Version:	0.11.0
Release:	2
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://arora.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	64334ce4198861471cad9316d841f0cb
URL:		http://code.google.com/p/arora/
BuildRequires:	QtSql-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.5
Requires:	desktop-file-utils
Suggests:	xine-output-video-xcb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arora was originally created as a demo for Qt to help test the
QtWebKit component and find API issues and bugs before the release. An
older version can still be found in Qt's source code in the
demo/browser directory. Currently Arora is a very basic browser whose
feature list includes things like "History" and "Bookmarks". It does
not have support for netscape plugins, so no flash support until Qt
4.5. But it is small, less then 10,000 lines of code, very fast, lean,
mean and loads of fun to hack on.

%prep
%setup -q

%build
qmake-qt4 PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -j1 install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*.*
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_desktopdir}/arora.desktop
%dir %{_datadir}/arora
%dir %{_datadir}/arora/locale
%lang(ca) %{_datadir}/arora/locale/ca.qm
%lang(cs_CZ) %{_datadir}/arora/locale/cs_CZ.qm
%lang(da) %{_datadir}/arora/locale/da_DK.qm
%lang(de) %{_datadir}/arora/locale/de_DE.qm
#%lang(en_US) %{_datadir}/arora/locale/en_US.qm
%lang(el_GR) %{_datadir}/arora/locale/el_GR.qm
%lang(es) %{_datadir}/arora/locale/es.qm
%lang(es_CR) %{_datadir}/arora/locale/es_CR.qm
%lang(et) %{_datadir}/arora/locale/et_EE.qm
%lang(fi_FI) %{_datadir}/arora/locale/fi_FI.qm
%lang(fr_CA) %{_datadir}/arora/locale/fr_CA.qm
%lang(fr_FR) %{_datadir}/arora/locale/fr_FR.qm
%lang(gl) %{_datadir}/arora/locale/gl.qm
%lang(he_IL) %{_datadir}/arora/locale/he_IL.qm
%lang(hu) %{_datadir}/arora/locale/hu_HU.qm
%lang(it) %{_datadir}/arora/locale/it_IT.qm
%lang(ja) %{_datadir}/arora/locale/ja_JP.qm
%lang(ms) %{_datadir}/arora/locale/ms.qm
%lang(no) %{_datadir}/arora/locale/nb_NO.qm
%lang(nl) %{_datadir}/arora/locale/nl.qm
%lang(pl) %{_datadir}/arora/locale/pl_PL.qm
%lang(pt_BR) %{_datadir}/arora/locale/pt_BR.qm
%lang(pt_PT) %{_datadir}/arora/locale/pt_PT.qm
%lang(ru) %{_datadir}/arora/locale/ru_RU.qm
%lang(sk) %{_datadir}/arora/locale/sk_SK.qm
%lang(sr_RS) %{_datadir}/arora/locale/sr_RS.qm
%lang(tr) %{_datadir}/arora/locale/tr_TR.qm
%lang(uk) %{_datadir}/arora/locale/uk.qm
%lang(zh_CN) %{_datadir}/arora/locale/zh_CN.qm
%lang(zh_TW) %{_datadir}/arora/locale/zh_TW.qm
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arora.spec,v $
Revision 1.25  2011/09/18 21:57:47  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.24  2010/12/26 21:48:54  witekfl
- 0.11.0

Revision 1.23  2009/12/18 18:06:31  arekm
- rel 2; rebuild with qt 4.6

Revision 1.22  2009/12/18 17:43:55  witekfl
- up to 0.10.2

Revision 1.21  2009/11/27 01:57:43  sparky
- BR: pkgconfi- BR: pkgconfigg

Revision 1.20  2009/10/05 13:15:13  arekm
- up to 0.10.1

Revision 1.19  2009/09/12 22:57:52  charles
- up to 0.9.0

Revision 1.18  2009/08/04 18:53:22  witekfl
- up to 0.8.0

Revision 1.17  2009/06/30 07:17:56  arekm
S: xine-output-video-xcb for media.

Revision 1.16  2009/06/30 07:03:20  arekm
- no snap

Revision 1.15  2009/05/31 14:41:32  witekfl
- up to 0.7.1

Revision 1.14  2009/05/16 15:34:37  witekfl
- up to 0.6.1

Revision 1.13  2009/04/03 12:37:55  arekm
- up to 0.6

Revision 1.12  2009/03/12 14:16:12  arekm
- rel 2; rebuild with qt4.5

Revision 1.11  2009/02/25 14:06:22  witekfl
- up to 0.5

Revision 1.10  2009/02/05 11:57:58  sparky
- BR: qt4-build

Revision 1.9  2008/10/10 19:45:20  witekfl
- up to 0.4
- commented one missing translation.

Revision 1.8  2008/09/04 11:04:37  arekm
- parallel install fails

Revision 1.7  2008/09/04 11:01:29  arekm
BR: qt4-linguist

Revision 1.6  2008/09/04 10:59:34  arekm
- up to 0.3

Revision 1.5  2008-05-28 20:39:47  shadzik
- missing dir

Revision 1.4  2008-05-28 20:38:27  shadzik
- fixed installation
- rel 1

Revision 1.3  2008-05-28 20:32:18  shadzik
- define INSTALL_ROOT - NFY

Revision 1.2  2008-05-28 20:05:38  glen
- builds but don't know how to pass proper prefix and install

Revision 1.1  2008-05-28 19:52:36  glen
- new, just prep spec and source
